'use strict';
const jsonUtility = require('../utils/json-utility');

module.exports = {
    getJsonInput: getJsonInput,
    getJsonOutput: getJsonOutput,
    isSkillResponseSessionEnd: isSkillResponseSessionEnd
};

function getJsonInput(response) {
    let jsonInput = jsonUtility.getPropertyValueFromObject(
        response, ['result', 'skillExecutionInfo', 'invocationRequest', 'body']
    );
    if (!jsonInput) {
        jsonInput = {};
    }

    return jsonInput;
}

function getJsonOutput(response) {
    let jsonOuput = jsonUtility.getPropertyValueFromObject(
        response, ['result', 'skillExecutionInfo', 'invocationResponse']
    );
    if (!jsonOuput) {
        jsonOuput = {};
    }

    return jsonOuput;
}

function isSkillResponseSessionEnd(response) {
    const shouldEndSession = jsonUtility.getPropertyValueFromObject(
        response, ['result', 'skillExecutionInfo', 'invocationResponse', 'body', 'response', 'shouldEndSession']
    );
    
    return shouldEndSession;
}
